<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function saveToDatabase($dir)
{
  if(!$link = mysql_connect("localhost", "test", "test")){
    echo("Problem z połączeniem z bazą danych.");
    return false;
  }
  if(!mysql_select_db("test")){
    echo("Problem z połączeniem z bazą danych.");
    mysql_close($link);
    return false;
  }

  if(!($fd = opendir($dir))){
    echo("Nie mogę otworzyć katalogu: $dir");
    return false;
  }
  $id = 0;
  while (($file = readdir($fd)) !== false){
    if(is_dir($dir.$file)){
      continue;
    }
    $fullDir = $dir.$file;
    $query = "INSERT INTO FILES VALUES(";
    $query .= "$id,\"$fullDir\", 0)";
    $id += 1;
    if(!$result = mysql_query($query)){
      echo("Problem z bazą danych: odrzucone zapytanie");
      mysql_close($link);
      return false;
    }
  }
  mysql_close($link);
  return true;
}
saveToDatabase("./downloads/");
?>
